public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alarig Le Lay" <alarig@swordarmor.fr>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: net-im/mautrix-signal/
Date: Mon, 17 Jun 2024 09:49:37 +0000 (UTC)	[thread overview]
Message-ID: <1718617694.596cbc0c4fdb57ccb299050f8516d291ce2f91f1.AlarigLeLay@gentoo> (raw)

commit:     596cbc0c4fdb57ccb299050f8516d291ce2f91f1
Author:     Alarig Le Lay <alarig <AT> swordarmor <DOT> fr>
AuthorDate: Mon Jun 17 09:48:11 2024 +0000
Commit:     Alarig Le Lay <alarig <AT> swordarmor <DOT> fr>
CommitDate: Mon Jun 17 09:48:14 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=596cbc0c

net-im/mautrix-signal: add 0.6.2

Signed-off-by: Alarig Le Lay <alarig <AT> swordarmor.fr>

 net-im/mautrix-signal/Manifest                    |  2 +
 net-im/mautrix-signal/mautrix-signal-0.6.2.ebuild | 66 +++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/net-im/mautrix-signal/Manifest b/net-im/mautrix-signal/Manifest
index 66063c380..beff003da 100644
--- a/net-im/mautrix-signal/Manifest
+++ b/net-im/mautrix-signal/Manifest
@@ -2,3 +2,5 @@ DIST mautrix-signal-0.6.0-deps.tar.xz 23987148 BLAKE2B 67ef4ae365b2f3bd5ac98d371
 DIST mautrix-signal-0.6.0.gh.tar.gz 329464 BLAKE2B 723bb833c712c42e82bcf80fd205b8bf6371818a9631823cd68daa2d29c91cd00eafd6daa2b1d5278f808e7114babd7a572200f6738066225f7e97a18a9a81f5 SHA512 ac55ed462b442bc28045bd639359151b5717fef374f74a150c6597f4252cfb406c16de2b7989cb49b5e0e3c29f447427e19ac860048f7a9b2b020823694ffdba
 DIST mautrix-signal-0.6.1-deps.tar.xz 20518340 BLAKE2B 5329b1b839a20160e10736b2cadcc3baf9c5a62cc95e992dad70d3a5c2eb0cba73bef7ee256967ffa11c137f0ace08c31f37016362d3bda679f019f0d79d2e30 SHA512 be26db727443d479b5c948e316e6ba259e6e6636aa8bd72b3987676fd8902c2cc46e48888249d977e2fe0985dbf0d39650d5487e6b78cb9454a201ca980540a0
 DIST mautrix-signal-0.6.1.gh.tar.gz 330028 BLAKE2B d2474ffa525f738e739e3bfce2fdfc9725e339a7615c75c468b3704a755e32c64eca6ca72a30719586f97b777e916e2777bd450f9217631a26e5b45b311c2acf SHA512 36d15e65d916ddbb97d3bfb62c73b5c481fecd65d145c41d7580f5eb3f575daeb057aa6a8b9ad8b35bfc20117a2adcfe7d239aa30802e04dd2f8c9ff9a2b34ce
+DIST mautrix-signal-0.6.2-deps.tar.xz 3411160 BLAKE2B 6aa191dfeef85d7181b2a6ea9075b6fee9d3b1592fded949fcc76ce2211ac4fb69269785ca1276e1bff9e07b93c8c73f8d4996fee989a0964919fed57fc07241 SHA512 962ddffb7cabc2b97dbe06e4263c6a998b8194c3895aa967362d3309cf7f96b62b4b26b0e7a1d66678e7c958dc2d517d595693a3e2c4b35801e3d06de34e02bb
+DIST mautrix-signal-0.6.2.gh.tar.gz 346173 BLAKE2B 1e3f2dfae1a767981b385da895819f4e75d2e77c03bedfaaa429f455e9272a54e1b57e57af4efbb48f0200f84a91a818196006fbc54a56c567a2c94a389c581d SHA512 5adf47c2a4f1239e34fbbebe7700405369d1b610dc9fcffbd55cbe46eea86f94caed7316a319561c2ec34105eaa2214bf815dbaf43d3d57920e2a74151be0507

diff --git a/net-im/mautrix-signal/mautrix-signal-0.6.2.ebuild b/net-im/mautrix-signal/mautrix-signal-0.6.2.ebuild
new file mode 100644
index 000000000..6cc7f1c12
--- /dev/null
+++ b/net-im/mautrix-signal/mautrix-signal-0.6.2.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module systemd
+
+DESCRIPTION="A Matrix-Signal puppeting bridge"
+HOMEPAGE="https://github.com/mautrix/signal"
+SRC_URI="https://github.com/mautrix/signal/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+	https://herbizarre.swordarmor.fr/garbage/${P}-deps.tar.xz
+"
+S="${WORKDIR}/signal-${PV}"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	acct-user/${PN}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	~dev-libs/libsignal-ffi-0.51.0
+	dev-libs/olm
+"
+
+src_compile() {
+	ego build
+}
+
+src_install() {
+	dobin mautrix-signal
+
+	keepdir /var/log/mautrix/signal
+	fowners -R root:mautrix /var/log/mautrix
+	fperms -R 770 /var/log/mautrix
+	sed -i -e "s/\.\/logs/\/var\/log\/${PN/-/\\\/}/" "example-config.yaml" || die
+
+	insinto "/etc/mautrix"
+	newins "example-config.yaml" "${PN/-/_}.yaml"
+
+	newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+	systemd_dounit "${FILESDIR}/${PN}.service"
+
+	fowners -R root:mautrix /etc/mautrix
+	fperms -R 770 /etc/mautrix
+}
+
+pkg_postinst() {
+	einfo
+	elog ""
+	elog "Before you can use ${PN}, you must configure it correctly"
+	elog "The configuration file is located at \"/etc/mautrix/${PN/-/_}.yaml\""
+	elog "When done, run the following command: emerge --config ${CATEGORY}/${PN}"
+	elog "Then, you must register the bridge with your homeserver"
+	elog "Refer your homeserver's documentation for instructions"
+	elog "The registration file is located at /var/lib/${PN/-/\/}/registration.yaml"
+	elog "Finally, you may start the ${PN} daemon"
+	einfo
+}
+
+pkg_config() {
+	su - "${PN}" -s /bin/sh -c \
+		"/usr/bin/${PN} -c /etc/mautrix/${PN/-/_}.yaml -g -r /var/lib/${PN/-/\/}/registration.yaml"
+}


             reply	other threads:[~2024-06-17  9:49 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-17  9:49 Alarig Le Lay [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-22 15:29 [gentoo-commits] repo/proj/guru:dev commit in: net-im/mautrix-signal/ Julien Roy
2025-01-22 15:29 Julien Roy
2025-01-11 22:19 Julien Roy
2024-11-22 20:13 Julien Roy
2024-11-20 23:53 Julien Roy
2024-11-20 23:46 Julien Roy
2024-11-19 10:42 Julien Roy
2024-11-19 10:42 Julien Roy
2024-10-13  9:21 Takuya Wakazono
2024-06-21 10:59 Takuya Wakazono
2024-06-17 23:05 Alarig Le Lay
2024-06-17 21:40 [gentoo-commits] repo/proj/guru:master " Julien Roy
2024-06-17 21:31 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-05-30  8:34 Alarig Le Lay
2024-05-21 21:33 [gentoo-commits] repo/proj/guru:master " Julien Roy
2024-05-21 21:29 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-05-21 21:29 Julien Roy
2024-05-14 19:12 [gentoo-commits] repo/proj/guru:master " Julien Roy
2024-05-14 19:07 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-03-19 22:06 [gentoo-commits] repo/proj/guru:master " Julien Roy
2024-03-19 21:24 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-03-19 22:06 [gentoo-commits] repo/proj/guru:master " Julien Roy
2024-03-19 21:30 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-03-19 21:24 Julien Roy
2023-09-12 19:15 Julien Roy
2023-06-18 16:43 Julien Roy
2023-06-04 15:38 Julien Roy

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1718617694.596cbc0c4fdb57ccb299050f8516d291ce2f91f1.AlarigLeLay@gentoo \
    --to=alarig@swordarmor.fr \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox